Using an Intranet


Overview

Intranet Basics

Installation and Configuration

Intranet Components

Administration

Administrative Roles

Learn More


Overview

This tour will:

  • Explain the basics of an intranet, including installation and configuration.
  • Introduce the applications used in the BackOffice Server 2000 intranet solution.
  • Discuss intranet administration.

This tour takes about 10 minutes to complete. At its conclusion you will be ready to work with your intranet.


Intranet Basics

An intranet is an internal computer network that uses Internet protocols and standards, but is separate from the Internet.

BackOffice Server 2000 provides customizable and extensible intranet applications that enhance communications, data-sharing, and productivity. These applications use the combined power of Microsoft Exchange 2000 Server, SQL Server 2000, Active Directory, and Microsoft Internet Information Services 5.0.

The intranet applications are accessible from both Windows and non-Windows clients using Netscape Communicator 4.0 or later or Microsoft Internet Explorer 4.0 or later. If you use only Internet Explorer, you can increase security through encrypted logon credentials.


Installation and Configuration

Intranet applications can be installed using BackOffice Server 2000 integrated Setup, on up to three servers if you have already chosen a MultiServer configuration.

You can insert your company logo and change colors and fonts using Microsoft FrontPage 2000. You can customize navigation, links, and other organization-specific information through the intranet's administration page.

BackOffice Server intranet applications let the administrator delegate management of individual intranet applications to junior-level administrators and power users without giving them other administrative rights.


Document Finder

After the administrator gives users permission to publish files to the intranet in a shared folder, users can upload files they want to share by using the Save As feature of an application, by mapping a drive to the share, or by navigating to the share and copying files into it.

The Document Finder makes it easy to find documents that have been published on the intranet by supporting keyword searches on title, text, and file properties.


Help Desk

Help Desk is a SQL Server 2000-based application. When a user generates a new request, the Help Desk application assigns a tracking number to the request and can automatically assign the request to a technician.

The technician can search the Help Desk for similar problems or send e-mail to the user for more information. Once a satisfactory resolution has been reached, the technician can use the Help Desk application to mark the problem as resolved.


Calendar

The Company Calendar is an Exchange 2000 Server-based repository for information about company events, meetings, holidays, and other time-related items.

Users can view the intranet calendar, show or hide events, and search for events by type or date. Users can also add individual events from the Company Calendar to their personal Outlook schedules.


People Finder

Users can search for an employee by e-mail alias, last name, group name, or distribution list. People Finder queries Active Directory and returns a list of matching names and groups. A user can then click on a name to see details about that person or group.

Users can send e-mail to an employee that they found through People Finder by clicking the e-mail alias. This opens a new e-mail message.


Intranet Components

The applications included with your intranet allow employees to work more productively and collaboratively. They can exchange information freely, resolve help desk issues quickly, and find information about company events easily.

The intranet applications included with BackOffice Server 2000 are:

  • Document Finder. Share and search for files on the intranet.
  • Help Desk. Record and track employee help desk requests.
  • Calendar. View company events in a central location.
  • People Finder. Search for employees using the Active Directory.


Document Finder

Document Finder is manageable, searchable and easy to use. Through the Administration page, you can create a shared folder and specify its name, its physical location, and any access rights for individual users and groups.

After you create the folder and grant rights and permissions, e-mail is automatically sent to users and groups to let them know that the folder is available.


Help Desk

The Help Desk application is flexible and configurable. You can use the Administration page to:

  • Add and edit problem categories and problem follow-up questions.
  • Determine workflow and routing of particular problems.
  • Create and edit e-mail messages that the application sends to the user and technician.
  • Manage all submitted requests.


Calendar

Using the Administration page, you can add, edit, and delete events that appear on the Company Calendar. You can also create new categories for events and sort them by location, department, or type.

For those organizations with international offices, BackOffice Server 2000 supports most of the locales supported by Windows 2000.


People Finder

Because the People Finder application gets its information directly from Active Directory, you can use all the native administrative tools in BackOffice Server 2000.


Navigation Bar

The navigation bar contains the links users need to navigate the company intranet. As an administrator you can add, delete, or modify the links—including the administration links—that appear in the intranet navigation pane.


Administration

You can administer intranet applications through the web-based interface provided with BackOffice Server 2000.

Click the links below to learn about the functions available from the Administration page for the following applications:

  • Document Finder. Establish a central online repository for documents.
  • Help Desk. Oversee the problem-resolution process.
  • Calendar. Create and modify the Company Calendar.
  • People Finder. Administer the Active Directory search feature.
  • Navigation Bar. Customize the links available on the intranet navigation bar.


Document Finder

Members of the BOSInetAdmins_Publishing domain local group can create shared document folders and assign rights and permissions to them.


Help Desk

Members of the BOSInetAdmins_HelpDesk domain local group can edit help request categories, verify the destinations of Help Desk requests, and contact the user or assigned technician.

Members of the BOSInetAdmins_HelpDeskTechnician domain local group can view submitted help requests and work with employees to resolve Help Desk issues.


Calendar

Members of the BOSInetAdmins_Calendar domain local group can edit calendar event categories and change calendar settings.

Members of the BOSInetAdmins_CalendarEventPublisher domain local group can add events to the Company Calendar and edit and delete existing events.


Members of the BOSInetAdmins_NavBar domain local group can add, delete, or modify the links that appear in the intranet navigation pane, including the administration links.


Administrative Roles

You can delegate specific tasks to users by making them members of intranet domain local groups. This grants them access to selected applications without giving them full administrative rights. Delegating tasks in this way lets you be very specific about who administers your intranet applications.

Click below for information about specialized groups:

  • People Finder
  • Help Desk
  • Calendar
  • Navigation Bar


Learn More

You have now finished the Using an Intranet Tour. See below for additional information, resources, articles, and links.

How To:

Manage Help Desk Categories

Track Help Desk Requests

Assign Administrative Roles

Add or Remove Navigation Bar Links